[25449] in Source-Commits

home help back first fref pref prev next nref lref last post

/svn/athena r24993 - trunk/debathena/config/auto-update/debian

daemon@ATHENA.MIT.EDU (Jonathan D Reed)
Tue Mar 1 15:10:53 2011

Date: Tue, 1 Mar 2011 15:10:44 -0500
From: Jonathan D Reed <jdreed@MIT.EDU>
Message-Id: <201103012010.p21KAi7x000568@drugstore.mit.edu>
To: source-commits@mit.edu
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Author: jdreed
Date: 2011-03-01 15:10:44 -0500 (Tue, 01 Mar 2011)
New Revision: 24993

Added:
   trunk/debathena/config/auto-update/debian/debathena-auto-update.preinst
Log:
Add preinst

Added: trunk/debathena/config/auto-update/debian/debathena-auto-update.preinst
===================================================================
--- trunk/debathena/config/auto-update/debian/debathena-auto-update.preinst	                        (rev 0)
+++ trunk/debathena/config/auto-update/debian/debathena-auto-update.preinst	2011-03-01 20:10:44 UTC (rev 24993)
@@ -0,0 +1,66 @@
+#!/bin/sh
+# preinst script for debathena-auto-update
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <new-preinst> `install'
+#        * <new-preinst> `install' <old-version>
+#        * <new-preinst> `upgrade' <old-version>
+#        * <old-preinst> `abort-upgrade' <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+if dpkg-maintscript-helper supports rm_conffile 2> /dev/null; then
+    dpkg-maintscript-helper rm_conffile \
+	/etc/cron.d/debathena-auto-update 1.21~ -- "$@"
+else
+    # From http://wiki.debian.org/DpkgConffileHandling
+    rm_conffile() {
+	local PKGNAME="$1"
+	local CONFFILE="$2"
+	
+	[ -e "$CONFFILE" ] || return 0
+	
+	local md5sum="$(md5sum $CONFFILE | sed -e 's/ .*//')"
+	local old_md5sum="$(dpkg-query -W -f='${Conffiles}' $PKGNAME | \
+            sed -n -e "\' $CONFFILE ' { s/ obsolete$//; s/.* //; p }")"
+	if [ "$md5sum" != "$old_md5sum" ]; then
+            echo "Obsolete conffile $CONFFILE has been modified by you."
+            echo "Saving as $CONFFILE.dpkg-bak ..."
+            mv -f "$CONFFILE" "$CONFFILE".dpkg-bak
+	else
+            echo "Removing obsolete conffile $CONFFILE ..."
+            mv -f "$CONFFILE" "$CONFFILE".dpkg-del
+	fi
+    }
+    case "$1" in
+	abort-install|abort-upgrade)
+	    if dpkg --compare-versions "$2" le-nl 1.21~; then
+		rm_conffile debathena-auto-update "/etc/cron.d/debathena-auto-update"
+	    fi
+    esac
+fi
+
+case "$1" in
+    install|upgrade)
+    ;;
+
+    abort-upgrade)
+    ;;
+
+    *)
+        echo "preinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0


home help back first fref pref prev next nref lref last post